Subject: Re: bug#9366: Display geometry change hook

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Aug 2011 08:55:09 +0300

> Date: Thu, 25 Aug 2011 06:16:58 +0100
> From: David De La Harpe Golden <[email-masked]>
> 
> Dunno about w32 as yet, but presumably it has something similar.

On MS-Windows there's the WM_DISPLAYCHANGE message sent to the message
pump.  Emacs already accepts that message (see w32term.c), but
currently does nothing with it except announcing the change to the
attached debugger.

However, on Windows the message also specifies the new resolution, so
this:

> +        inev.ie.kind = SCREEN_CHANGE_NOTIFY_EVENT;
> +        inev.ie.frame_or_window = XCAR(dpyinfo->name_list_element);

is not general enough: there should be a way to provide the new
dimensions to the event queue.  It also means that a "normal" hook is
insufficient to handle this event, it should be a -functions style
hook.